package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/batch_seminar/entity"

type BatchSeminarRepository interface {
	NewBatchSeminar(batchseminar entity.BatchSeminar) (output entity.BatchSeminar, err error)
	GetSeminarBatches() (output []entity.BatchSeminar, err error)
	DeleteBatchSeminar(id string) (entity.BatchSeminar, error)
	GetBatchSeminarCurrent() ([]entity.BatchSeminar, error)
	SetLiveBatch(id string) (entity.BatchSeminar, error)
	GetBatchSeminarLive() ([]entity.BatchSeminar, error)
}
