package entity

import "time"

type JadwalWithLink struct {
	ID              string    `json:"id"`
	Nim             string    `json:"nim"`
	Name            string    `json:"name"`
	NamaDosbing     string    `json:"namaDosbing"`
	NamaDosuji1     string    `json:"namaDosuji1"`
	NamaDosuji2     string    `json:"namaDosuji2"`
	Ruang           string    `json:"ruang"`
	IDBatch         string    `json:"batchid"`
	Judul           string    `json:"judul"`
	SidangOrSeminar string    `json:"sidang_or_seminar"`
	Link            string    `json:"link"`
	ScheduledAt     time.Time `json:"jadwal"`
}

type SchedulingSidangLink struct {
	ID   string `json:"id"`
	Link string `json:"link"`
}

type SchedulingSeminarLink struct {
	ID   string `json:"id"`
	Link string `json:"link"`
}

type SchedulingLink struct {
	ID              string `json:"id"`
	Link            string `json:"link"`
	SidangOrSeminar string `json:"sidang_or_seminar"`
}

func (SchedulingSidangLink) TableName() string {
	return "scheduling_sidang"
}

func (SchedulingSeminarLink) TableName() string {
	return "scheduling_seminar"
}
