package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/topic_allocation/entity"

type TopicAllocationRepo interface {
	NewTopic(topic entity.TopikPostPutReqData) (output entity.TopikPostPutReqData, err error)
	GetTopic(page int, limit int, search string, id string) (output entity.GetAllReturnType, err error)
	GetTopicByID(ID string) (output entity.Topik, err error)
	UpdateTopic(topic entity.TopikPostPutReqData, id string) (output entity.TopikPostPutReqData, err error)
	DeleteTopic(ID string) (err error)
}